summaryrefslogtreecommitdiffstats
path: root/libraries/libgeotiff
diff options
context:
space:
mode:
author Marco Cecchetti2010-05-11 22:54:06 +0200
committer David Somero2010-05-11 22:54:06 +0200
commit4dba6c84c4caf68f8d74684474e861d6c3c42355 (patch)
tree6a896f98b7c8bfdf1d667366344624fc98528d1f /libraries/libgeotiff
parent9ad76ec70e853dd7d903f2e46982342dd969e0ee (diff)
downloadslackbuilds-4dba6c84c4caf68f8d74684474e861d6c3c42355.tar.gz
libraries/libgeotiff: Added to 12.1 repository
Diffstat (limited to 'libraries/libgeotiff')
-rw-r--r--libraries/libgeotiff/README6
-rw-r--r--libraries/libgeotiff/libgeotiff.SlackBuild67
-rw-r--r--libraries/libgeotiff/libgeotiff.info8
-rw-r--r--libraries/libgeotiff/slack-desc19
4 files changed, 100 insertions, 0 deletions
diff --git a/libraries/libgeotiff/README b/libraries/libgeotiff/README
new file mode 100644
index 0000000000..453a7b7c21
--- /dev/null
+++ b/libraries/libgeotiff/README
@@ -0,0 +1,6 @@
+libgeotiff (GeoTIFF support library) It is designed for reading and writing
+coordinate system information from/to GeoTIFF files.
+
+The library depends on libtiff.
+
+
diff --git a/libraries/libgeotiff/libgeotiff.SlackBuild b/libraries/libgeotiff/libgeotiff.SlackBuild
new file mode 100644
index 0000000000..a6ba215c10
--- /dev/null
+++ b/libraries/libgeotiff/libgeotiff.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for libgeotiff
+# Written by Marco Cecchetti (mrc.ildp@gmail.com)
+
+PRGNAM=libgeotiff
+VERSION=${VERSION:-1.2.5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --datadir=/usr/share \
+ --infodir=/usr/info \
+ --with-libtiff=/usr/lib \
+|| exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog LICENSE HOWTO-RELEASE README* docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libgeotiff/libgeotiff.info b/libraries/libgeotiff/libgeotiff.info
new file mode 100644
index 0000000000..97356081c0
--- /dev/null
+++ b/libraries/libgeotiff/libgeotiff.info
@@ -0,0 +1,8 @@
+PRGNAM="libgeotiff"
+VERSION="1.2.5"
+HOMEPAGE="http://www.remotesensing.org/geotiff/geotiff.html"
+DOWNLOAD="http://download.osgeo.org/geotiff/libgeotiff/libgeotiff-1.2.5.tar.gz"
+MD5SUM="000f247a88510f1b38d4b314d1e47048"
+MAINTAINER="Marco Cecchetti"
+EMAIL="mrc.ildp@gmail.com"
+APPROVED="David Somero"
diff --git a/libraries/libgeotiff/slack-desc b/libraries/libgeotiff/slack-desc
new file mode 100644
index 0000000000..d6aef4676f
--- /dev/null
+++ b/libraries/libgeotiff/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libgeotiff: libgeotiff (GeoTIFF support library)
+libgeotiff: It is designed for reading and writing coordinate system
+libgeotiff: information from/to GeoTIFF files
+libgeotiff:
+libgeotiff: The library depends on libtiff.
+libgeotiff:
+libgeotiff:
+libgeotiff:
+libgeotiff:
+libgeotiff:
+libgeotiff: